'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactAddonsCssTransitionGroup = require('react-addons-css-transition-group');

var _reactAddonsCssTransitionGroup2 = _interopRequireDefault(_reactAddonsCssTransitionGroup);

require('./Animated.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Animated(props) {
  return _react2.default.createElement(
    _reactAddonsCssTransitionGroup2.default,
    _extends({
      transitionName: 'animated',
      transitionAppear: true,
      transitionAppearTimeout: 200,
      transitionEnterTimeout: 200,
      transitionLeaveTimeout: 200
    }, props),
    props.children
  );
}

exports.default = Animated;