'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./FormSection.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FormSection(props) {
  return _react2.default.createElement(
    'div',
    { className: 'FormSection' },
    _react2.default.createElement(
      'h4',
      null,
      props.title
    ),
    _react2.default.createElement('hr', null),
    props.children
  );
}

FormSection.propTypes = {
  title: _react.PropTypes.string.isRequired
};

exports.default = FormSection;